<template src="./index.htm"></template>

<script>

    import Vue from 'vue';
    import DeleteEntityMixin from '../../../mixins/entities/deleteEntityMixin.js';
    import DataTableComponent from '../../../datatable/DataTableComponent.vue';

    import { attributesDataTableProps } from '../../../datatable/props/attributesDataTableProps.js';

    Vue.component('data-table-component', DataTableComponent);

    export default {

        data() {

            return {}
        },

        mixins: [ attributesDataTableProps, DeleteEntityMixin ],

        methods: {

            editAttribute(attribute) {
                console.log('Edit');
            },


            deleteAttribute(attribute) {

                swalConfirm()
                    .then( (result) => {

                        if (result.value) {

                            this.deleteEntityMixin('attributes', attribute.id);
                        }
                    });
            }
        }
    }
</script>